// These are the definitions for the realview-pb-a8 board.
#define TIMER01_BASE 0x10011000
#define TIMER23_BASE 0x10012000
#define TIMER45_BASE 0x10018000
#define TIMER67_BASE 0x10019000
#define TIMER01_INTERRUPT 36
#define TIMER23_INTERRUPT 37
#define TIMER45_INTERRUPT 73
#define TIMER67_INTERRUPT 74
#define TIMER1LOAD      0x0000
#define TIMER1CONTROL   0x0008
#define TIMER1INTCLR    0x000C
#define TIMER2LOAD      0x0020
#define TIMER2CONTROL   0x0028
#define TIMER2INTCLR    0x002C


#define GIC0    0x1E000000
#define GIC1    0x1E010000
#define GIC2    0x1E020000
#define GIC3    0x1E030000
#define GIC_DISTRIBUTOR         0x00001000

#define SERIAL0_BASE 0x10009000
#define SERIAL0_FLAG 0x10009018

