#include "macros.h"
#include "definitions.h"
#include "swi.h"

.global int_swi
.extern schedule
.extern generate_SGI

int_swi:
    ldr     r13,=SVC_STACK_TOP      // reset the stack everytime for this mode
    push(r14)

    push(r0)
    mrs     r0,CPSR
    bic     r0,#0b11000000          // re-eanble interrupts
    msr     CPSR,r0
    pop(r0)

    cmp     r0,#SWI_PRINTF
    bleq    swi_printf
    cmp     r0,#SWI_YIELD
    bleq    swi_yield

    pop(r15)^
    

swi_printf:
    push(r3,r4,r5,r14)
    mov     r4,r1
    bl      debugprint
    pop(r3,r4,r5,r15)

swi_yield:
    push(r0,r14)
    mov     r0,#15
    bl      generate_SGI
    pop(r0,r15)

